| Home | Libraries | People | FAQ | More

#### de9im::mask

DE-9IM model intersection mask.

###### Description

This mask can be used to check spatial relations as defined in Dimensionally Extended 9-Intersection Model.

###### Synopsis

    class de9im::mask
          : public detail::relate::mask< 3, 3 >
    {
      // ...
    };

###### Constructor(s)

Function | Description | Parameters
--- | --- | ---

    mask(const char * code)

The constructor.

const char *: code: The mask pattern.

    mask(std::string const & code)

The constructor.

std::string const &: code: The mask pattern.

###### Header

`#include <boost/geometry/algorithms/detail/relate/de9im.hpp>`

###### See also

- relate